SDL_TellIO(3)

NAME
SDL_TellIO - Determine the current read/write offset in an SDL_IOStream
 data stream.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

Sint64 SDL_TellIO(SDL_IOStream *context);

DESCRIPTION
SDL_TellIO
 is actually a wrapper function that calls the SDL_IOStream seek method, with an offset of 0 bytes from SDL_IO_SEEK_CUR , to simplify application development.

FUNCTION PARAMETERS

context
    an SDL_IOStream
     data stream object from which to get the current offset

RETURN VALUE
Returns the current offset in the stream, or -1 if the information can not be determined.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SeekIO(3)